package example.cmp.relations.many2many;

import java.rmi.*;
import javax.ejb.*;

import java.util.*;

/**
 * Remote interface for the student home.
 */
public interface CourseHome extends EJBLocalHome {

  /**
   * Returns the named student. Resin-CMP will implement
   * this method.
   */
  Course findByPrimaryKey(String name)
    throws FinderException;

  /**
   * Returns all Students enrolled in this Course. Resin-CMP will implement
   * this method.
   *
   * @param name of the Course in question
   */
  Collection findByStudent(String name)
    throws FinderException;
}
