package example.cmp.relations.one2one;

import javax.servlet.*;
import javax.servlet.http.*;

import javax.ejb.*;

import javax.naming.*;

import java.util.Collection;
import java.util.Iterator;

import java.io.PrintWriter;

/**
 * Illustrates a client that makes use of the 1-1 related CMP beans.
 */
public class ClientServlet extends HttpServlet {
  TeacherHome teacherHome = null;
  CourseHome courseHome = null;
  
  public void init()
    throws ServletException
  {
    try {
      Context ejb = (Context)new InitialContext().lookup("java:comp/env/cmp");

      // get the Teacher CMP-Bean home interface
      teacherHome = (TeacherHome) ejb.lookup("one2one_teachers");

      // get the Course CMP-Bean home interface
      courseHome = (CourseHome) ejb.lookup("one2one_courses");
    } catch (NamingException e) {
      throw new ServletException(e);
    }
  }
  /**
   *
   */
  public void service(HttpServletRequest req, HttpServletResponse res)
    throws java.io.IOException, ServletException
  {
    res.setContentType("text/html");
    
    PrintWriter out = res.getWriter();

    try {
      Iterator iter = courseHome.findAll().iterator();

      out.println("<H3>Getting Teacher-Course Assignments</H3>");

      while (iter.hasNext()) {
        Course course = (Course) iter.next();
        out.println(course.getTeacher().getName() + " teaches " +
                    course.getName() + "<br>");
      }
    } catch (FinderException fe) {
      throw new ServletException(fe);
    }
  }
}
